/* Style global pour centrer le contenu sur la page */
body {
    font-family: 'Segoe UI', system-ui, sans-serif;
    margin: 0;
    background-color: #ffffff;
    color: #1a1a1a;
    align-items: center;
}

.loginContainer {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

}

section {
    background-color: #ffffff;
    border: 1px solid #e0e0e0;
    border-radius: 15px;
    padding: 30px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.05);
    text-align: left;
}

/* LE "OU" AU MILIEU*/
p {
    font-weight: bold;
    font-size: 1.5rem;
    margin: 15px 0;
}

h2,
h3 {
    text-align: center;
    margin-top: 0;
    font-size: 1.8rem;
}

/* FORM*/
form {
    display: flex;
    flex-direction: column;
}

#loginForm {
    width: 500px;
}

label {
    font-weight: bold;
    margin-bottom: 5px;
    margin-top: 10px;
}

input {
    background-color: #f0f0f0;
    border: 1px solid #ddd;
    border-radius: 8px;
    padding: 10px;
    font-size: 1rem;
    outline: none;
}

/* BUTTONS */
button {
    cursor: pointer;
    transition: opacity 0.2s;
}

/* BTN LOGIN */
#loginBtn {
    display: flex;
    justify-content: flex-end;
    margin-top: 20px;
}

#loginBtn button:hover {
    background-color: #a9a9a9;
}

#loginBtn button {
    background-color: white;
    border: 1px solid #ddd;
    padding: 10px 25px;
    border-radius: 8px;
    font-weight: bold;
}


/* REDIRECTION REGISTER */
#registerRedirect {
    display: flex;
    justify-content: center;
    flex-direction: column;
    text-align: center;
}

/* BTN FREE TRY */
.registerBtn {
    text-decoration: none;
    font-size: 0.9rem;
    font-weight: 600;
    padding: 10px 20px;
    border-radius: 8px;
    transition: 0.2s ease-in-out;
    color: #fff;
    background-color: #000;
    border: 1px solid #000;

}

.registerBtn:hover {
    background-color: #333;
}


/* ERROR */
p[style*="error"] {
    color: red;
    text-align: center;
    font-size: 0.9rem;
}